package tomp.ucebnice.serializace;
import java.io.ObjectOutputStream;
import java.io.ObjectInputStream;
import java.io.FileOutputStream;
import java.io.FileInputStream;
public class Serializace {
    private static final String soubor = "clovek.dat";
    public static void serializuj(Clovek p)
    throws Exception {
        FileOutputStream fos = new FileOutputStream(soubor);
        ObjectOutputStream oos = new ObjectOutputStream(fos);
        oos.writeObject(p);
        fos.close();
    }
    public static Clovek deserializuj()
    throws Exception {
        FileInputStream fis = new FileInputStream(soubor);
        ObjectInputStream ois = new ObjectInputStream(fis);
        Clovek p = (Clovek)ois.readObject();
        fis.close();
        return p;
    }
    public static void main(String args[])
    throws Exception {
        if (args.length == 1) {
            Clovek p = new Clovek(args[0]);
            serializuj(p);
            System.out.println(
                "Clovek (" + p.info() + ") serializovan.");
        } else {
            Clovek p = deserializuj();
            System.out.println(
                "Deserializovany clovek: "+p.info());
        }
    }
}
