package svet.chovatelstvi.psi;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
public class ChovatelPsuGUI extends JFrame {
    static final String[] titulky =
        { "jmno", "rasa", "poplatek",
        "prkaz pvodu", "vycvien" };

    ChovatelPsu chovatel;
    // Vizuln komponenty
    JLabel jmenoChovatele;
    JCheckBox jeZena;
    JButton tlacitko;
    JLabel popisVstupu;
    JTextField vstupJmena;

    public ChovatelPsuGUI(ChovatelPsu chovatel) {
        this.chovatel = chovatel;
        // Nastav titulek okna
        setTitle("Chovatel ps "+chovatel.getJmeno());

        // Zsk vnitn panel okna
        JPanel p = new JPanel();

        // Nastav zpsob rozmstn komponent v panelu
        p.setLayout(new FlowLayout());

        // Vytvo popisek se jmnem chovatele
        jmenoChovatele = new JLabel(
            "Chovatel "+ chovatel.getJmeno());
        p.add(jmenoChovatele);

        // Vytvo polko s oznaenm pohlav
        jeZena = new JCheckBox("ena");
        jeZena.setSelected(chovatel.isZena());
        jeZena.setEnabled(false);

        // Pid rychlou npovdu k polku
        jeZena.setToolTipText("Je chovatel ena?");
        p.add(jeZena);

        // Vytvo popisku a 
        // vstupn textov pole k zadn jmna psa
        popisVstupu = new JLabel("Zadej jmno psa:");
        popisVstupu.setLabelFor(vstupJmena);
        p.add(popisVstupu);
        vstupJmena = new JTextField(20);
        p.add(vstupJmena);

        // Vytvo tlatko ke sputn hledn
        tlacitko = new JButton("Najdi psa");
        tlacitko.setToolTipText(
            "Vyhled psa zadanho jmna.");
        // Nastav posluchae akce "stisk tlatka"
        tlacitko.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                // Tlatko stisknuto: hledej psa!
                najdiPsa(vstupJmena.getText());
            }
        });
        p.add(tlacitko);

        // Pi zaven okna ukon aplikaci
        addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                System.exit(0);
            }
        });
        getContentPane().add(p);
        pack();
    }

    void najdiPsa(String jmeno) {
        Pes pes = (Pes)chovatel.zvire(jmeno);
        if (pes == null)
            psaNema(jmeno);
        else
            zobrazPsa(pes);
    }

    void zobrazPsa(Pes pes) {
        // Vytvo okno pro psa
        JFrame oknoPsa = new JFrame();
        oknoPsa.setTitle("Pes jmnem "+pes.getJmeno());
        JPanel p = new JPanel();

        // Vytvo tabulku, kde budou daje o psovi
        JTable tabulka = new JTable(
            new Object[][] {
                // Napl prvn dek daji psovi
                {
                  pes.getJmeno(),
                  pes.getRasa(),
                  new Float(pes.getPoplatek()),
                  pes.maPrukazPuvodu() ? "m" : "nem",
                  pes.jeVycvicen() ? "ano" : "ne"
                }
            },
            // Popisky sloupc tabulky
            titulky
        );

        // Nastav velikost rolovateln tabulky
        tabulka.setPreferredScrollableViewportSize(
            new Dimension(500, 70));
        JScrollPane scrollPane 
            = new JScrollPane(tabulka);
        p.add(scrollPane);
        oknoPsa.getContentPane().add(p);
        oknoPsa.pack();
        oknoPsa.setVisible(true);
    }
    void psaNema(String jmeno) {
        // Zobraz oznmen o chyb
        JOptionPane.showMessageDialog(this,
        "Chovatel nem psa jmnem "+jmeno,
        "Chovatel psa nem",
        JOptionPane.ERROR_MESSAGE);
    }
    public static void main(String[] args) {
        try {
            UIManager.setLookAndFeel(
                UIManager.getCrossPlatformLookAndFeelClassName());
        } catch (Exception e) { }

        // Vytvo chovatele a psy
        ChovatelPsu chovatel =
            new ChovatelPsu("Pavel Novk", svet.Clovek.MUZ);
        chovatel.zaradZvire(
            new LoveckyPes("Asta", "jezevk"));
        chovatel.zaradZvire(
            new Vorisek("Azor"));

        // Vytvo okno chovatele
        ChovatelPsuGUI app = new ChovatelPsuGUI(chovatel);
        // Zobraz jej
        app.setVisible(true);
    }
}