package svet.chovatelstvi.psi;
import svet.chovatelstvi.DomaciZvire;
public abstract class Pes extends DomaciZvire implements Stekajici {
    private String rasa;
    private boolean prukazPuvodu = false;
    private boolean vycvicen = false;
    private float poplatek;
    public Pes(String jmeno, String rasa) {
        super(jmeno);
        this.rasa = rasa;
    }
    public Pes(String jmeno, String rasa, boolean prukazPuvodu) {
        this(jmeno, rasa);
        this.prukazPuvodu = prukazPuvodu;
    }
    public void vypisInfo() {
        System.out.println(
            "Pes jmenem "+getJmeno()
            +", rasa "+rasa);
        System.out.println(
            jeVycvicen() ? "Tento pes je vycvicen."
                         : "Tento pes neni vycvicen.");
        System.out.println(
            maPrukazPuvodu() ? "Tento pes ma prukaz puvodu."
                             : "Tento pes nema prukaz puvodu.");
    }
    public abstract void stekej();
    public void ozviSe() {
        stekej();
    }
    public float getPoplatek() {
        return poplatek;
    }
    public void setPoplatek(float p) {
        poplatek = p;
    }
    public boolean jeVycvicen() {
        return vycvicen;
    }
    public void setVycvicen(boolean v) {
        vycvicen = v;
    }
    public boolean maPrukazPuvodu() {
        return prukazPuvodu;
    }
    public String getRasa() {
        return rasa;
    }
}